<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/04/2011 *
 * ===================                          Last change: 08/04/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_forced_campaigns.php                   *
 * -------------------------------------------------------------------- *
 * Short description : List/add forced campaigns                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auflisten/Hinzufuegen von Forced-Kampagnen       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// By default show the list...
$show = true;

// Check for 'url_id' element
if ((countRequestPost() > 0) && ((!isPostRequestElementSet('forced_campaigns_id')) || (!is_array(postRequestElement('forced_campaigns_id'))) || (count(postRequestElement('forced_campaigns_id')) == 0))) {
	// Not found so output message
	displayMessage('{--ADMIN_FORCED_CAMPAIGNS_NO_SELECTIONS--}');

	// Abort here
	return;
} // END - if

// Edit or delete button hit?
if (isFormSent('add')) {
	// Add new forced ad
	showEntriesByXmlCallback('admin_add_do_forced_campaigns');
} elseif (isFormSent('edit')) {
	// Show entries for editing
	showEntriesByXmlCallback('admin_edit_show_forced_campaigns');

	// Do not show the list of URLs after this template
	$show = false;
} elseif (isFormSent('do_edit')) {
	// Change data of entries
	showEntriesByXmlCallback('admin_edit_do_forced_campaigns');
} elseif (isFormSent('delete')) {
	// Show entries for deletion
	showEntriesByXmlCallback('admin_delete_show_forced_campaigns');

	// Do not show the list of URLs after this template
	$show = false;
} elseif (isFormSent('do_delete')) {
	// Remove entries from database
	showEntriesByXmlCallback('admin_delete_do_forced_campaigns');
}

// Show entries?
if ($show === false) {
	// No, a form has already been show
	return false;
} // END - if

// List all URLs
showEntriesByXmlCallback('admin_list_forced_campaigns');

// Display form for adding a forced-ad
loadTemplate('admin_add_forced_campaign');

// [EOF]
?>
